Skip to navigation

Security Advisory Important: openstack-glance security update

Advisory: RHSA-2013:0209-1
Type: Security Advisory
Severity: Important
Issued on: 2013-01-30
Last updated on: 2013-01-30
Affected Products: Red Hat OpenStack Folsom
CVEs (cve.mitre.org): CVE-2013-0212

Details

Updated openstack-glance packages that fix one security issue are now
available for Red Hat OpenStack Folsom.

The Red Hat Security Response Team has rated this update as having
important security impact. A Common Vulnerability Scoring System (CVSS)
base score, which gives a detailed severity rating, is available from the
CVE link in the References section.

These packages provide a service (code name Glance) that acts as a registry
for virtual machine images.

It was found that when the OpenStack Glance front-end communicated with an
OpenStack Swift endpoint, the operator credentials could be logged in
plain text when certain errors occurred during new image creation. An
authenticated user could use this flaw to gain administrative access to an
OpenStack Swift endpoint. (CVE-2013-0212)

This issue was discovered by Dan Prince of Red Hat.

All users of openstack-glance are advised to upgrade to these updated
packages, which correct this issue. After installing the updated packages,
the Glance services (openstack-glance-api and openstack-glance-registry)
will be restarted automatically.


Solution

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/knowledge/articles/11258

Updated packages

Red Hat OpenStack Folsom

SRPMS:
openstack-glance-2012.2.1-4.el6ost.src.rpm
File outdated by:  RHBA-2013:0799
    MD5: 38ee52d7a4213c698f93140c773eb6d8
SHA-256: 1c08bc87ee23010321673f7174d8bc1de4ce47b307dc648aed9536faa0b9806d
 
x86_64:
openstack-glance-2012.2.1-4.el6ost.noarch.rpm
File outdated by:  RHBA-2013:0799
    MD5: 28c456281a2e0c727a4d526007f7ec6c
SHA-256: c4fe0d36c6fb5b38a4e6e0cde3006f92468a76500c0093ffb033c8587a7de41d
openstack-glance-doc-2012.2.1-4.el6ost.noarch.rpm
File outdated by:  RHBA-2013:0799
    MD5: 75792b7ce17509b21798c0fe649b7a60
SHA-256: 8cad33bc94402ad88f85c9c89c720038e615c937f8ffe5b10801f209a76f9b22
python-glance-2012.2.1-4.el6ost.noarch.rpm
File outdated by:  RHBA-2013:0799
    MD5: 84801f705b662d6690db04761f7a5a08
SHA-256: 7a6248a23caaac9f72db003e8ac297ec5729a9a1e55e6afb947a2e9f6d89f2b8
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

902964 - CVE-2013-0212 openstack-glance: Backend password leak in Glance error message


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/